PUT api/v1/bvrc/volunteer/skillsbank
Request Information
URI Parameters
None.
Body Parameters
VolunteerSkillsBankModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Qualification | string |
None. |
|
| SubSkills | Collection of LookupChild |
None. |
|
| ContactGroups | Collection of integer |
None. |
Request Formats
application/json, text/json, text/html
Sample:
{
"id": 1,
"qualification": "sample string 2",
"subSkills": [
{
"id": 1,
"parentId": 2,
"name": "sample string 3"
},
{
"id": 1,
"parentId": 2,
"name": "sample string 3"
}
],
"contactGroups": [
1,
2
]
}
application/xml, text/xml
Sample:
<VolunteerSkillsBankModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/VOL.API.Models">
<ContactGroups xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:int>1</d2p1:int>
<d2p1:int>2</d2p1:int>
</ContactGroups>
<Id>1</Id>
<Qualification>sample string 2</Qualification>
<SubSkills xmlns:d2p1="http://schemas.datacontract.org/2004/07/VOL.Core.CustomModels">
<d2p1:LookupChild>
<d2p1:Id>1</d2p1:Id>
<d2p1:Name>sample string 3</d2p1:Name>
<d2p1:ParentId>2</d2p1:ParentId>
</d2p1:LookupChild>
<d2p1:LookupChild>
<d2p1:Id>1</d2p1:Id>
<d2p1:Name>sample string 3</d2p1:Name>
<d2p1:ParentId>2</d2p1:ParentId>
</d2p1:LookupChild>
</SubSkills>
</VolunteerSkillsBankModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |